Update enhance-moderation configuration.
curl --request PUT \
--url https://apix.us.amity.co/api/v3/network-settings/enhance-moderation \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"enabled": true,
"commentDeletionBehavior": "delete_attachment_only",
"confidences": [
{
"category": "hate",
"flagConfidence": 3,
"blockConfidence": 5,
"moderationType": "text"
}
],
"userModerationExclusionPatterns": [
"^admin_"
]
}
'import requests
url = "https://apix.us.amity.co/api/v3/network-settings/enhance-moderation"
payload = {
"enabled": True,
"commentDeletionBehavior": "delete_attachment_only",
"confidences": [
{
"category": "hate",
"flagConfidence": 3,
"blockConfidence": 5,
"moderationType": "text"
}
],
"userModerationExclusionPatterns": ["^admin_"]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
enabled: true,
commentDeletionBehavior: 'delete_attachment_only',
confidences: [
{
category: 'hate',
flagConfidence: 3,
blockConfidence: 5,
moderationType: 'text'
}
],
userModerationExclusionPatterns: ['^admin_']
})
};
fetch('https://apix.us.amity.co/api/v3/network-settings/enhance-moderation', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"enabled": true,
"commentDeletionBehavior": "delete_whole_comment",
"confidences": [
{
"category": "hate",
"flagConfidence": 3,
"blockConfidence": 5,
"moderationType": "text"
},
{
"category": "nudity",
"flagConfidence": 40,
"blockConfidence": 80,
"moderationType": "media"
}
],
"userModerationExclusionPatterns": [
"^admin_"
]
}{
"status": "error",
"code": 400000,
"message": "Bad Request."
}{
"status": "error",
"code": 500000,
"message": "Unexpected error"
}Network Setting
Update enhance-moderation configuration.
Update the network’s enhance-moderation configuration. Partial update — every field is optional and only the fields you send are written. Sending an empty body is a no-op that returns the existing configuration.
PUT
/
api
/
v3
/
network-settings
/
enhance-moderation
Update enhance-moderation configuration.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Enhance-moderation configuration. All fields are optional; only the fields you send are written.
Enable or disable enhance-moderation.
What to remove when a comment trips moderation.
Available options:
delete_whole_comment, delete_attachment_only Required array length:
1 - 100 elementsShow child attributes
Show child attributes
Regex patterns for users excluded from moderation.
Minimum string length:
1Response
Enhance-moderation configuration
What to remove when a comment trips moderation.
Available options:
delete_whole_comment, delete_attachment_only Show child attributes
Show child attributes
Regex patterns for users excluded from moderation.
Minimum string length:
1⌘I